Bug 1300398 - Horizon fails to load in IPv6 deployment
Summary: Horizon fails to load in IPv6 deployment
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: y3
: 7.0 (Kilo)
Assignee: Emilien Macchi
QA Contact: yeylon@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1320512
TreeView+ depends on / blocked
 
Reported: 2016-01-20 16:40 UTC by Marius Cornea
Modified: 2016-04-18 07:13 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-0.8.6-110.el7ost
Doc Type: Bug Fix
Doc Text:
Horizon failed to load in IPv6 Overclouds due to issues with how the director detected and parsed IPv6 addresses for Memcached. This fix changes how the director's Heat template collection enables IPv6 addresses for Memcached. This includes a new parameter 'MemcachedIPv6' that defines if Memcached uses IPv4 or IPv6 addresses.
Clone Of:
: 1320512 (view as bug list)
Environment:
Last Closed: 2016-02-18 16:50:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0264 normal SHIPPED_LIVE Red Hat Enterprise Linux OSP 7 director Bug Fix Advisory 2016-02-18 21:41:29 UTC

Description Marius Cornea 2016-01-20 16:40:14 UTC
Description of problem:
Horizon fails to load in IPv6 deployment:
 mod_wsgi (pid=7160): Exception occurred processing WSGI script '/usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi'.
 Traceback (most recent call last):
   File "/usr/lib/python2.7/site-packages/django/http/response.py", line 309, in close
     signals.request_finished.send(sender=self._handler_class)
   File "/usr/lib/python2.7/site-packages/django/dispatch/dispatcher.py", line 201, in send
     response = receiver(signal=self, sender=sender, **named)
   File "/usr/lib/python2.7/site-packages/django/core/cache/__init__.py", line 156, in close_caches
     cache.close()
   File "/usr/lib/python2.7/site-packages/django/core/cache/backends/memcached.py", line 111, in close
     self._cache.disconnect_all()
   File "/usr/lib/python2.7/site-packages/django/core/cache/backends/memcached.py", line 175, in _cache
     self._client = self._lib.Client(self._servers, pickleProtocol=pickle.HIGHEST_PROTOCOL)
   File "/usr/lib/python2.7/site-packages/memcache.py", line 207, in __init__
     self.set_servers(servers)
   File "/usr/lib/python2.7/site-packages/memcache.py", line 253, in set_servers
     for s in servers]
   File "/usr/lib/python2.7/site-packages/memcache.py", line 1087, in __init__
     raise ValueError('Unable to parse connection string: "%s"' % host)
 ValueError: Unable to parse connection string: "fd00:fd00:fd00:2000:f816:3eff:fe07:286:11211"

This is the cache config in /etc/openstack-dashboard/local_settings:

CACHES = {
    'default': {

#        'BACKEND': 'django.core.cache.backends.locmem.LocMemCache'
        'BACKEND': 'django.core.cache.backends.memcached.MemcachedCache',


        'LOCATION': [ 'fd00:fd00:fd00:2000:f816:3eff:fe07:286:11211','fd00:fd00:fd00:2000:f816:3eff:feac:a861:11211','fd00:fd00:fd00:2000:f816:3eff:fe1b:11d1:11211', ],


    }
}


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-0.8.6-108.el7ost.noarch

Comment 2 Marius Cornea 2016-01-21 11:28:40 UTC
openstack-tripleo-heat-templates-0.8.6-110.el7ost.noarch

Comment 4 errata-xmlrpc 2016-02-18 16:50:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0264.html


Note You need to log in before you can comment on or make changes to this bug.